Bug 3211 - cataloging value plugin forms should be valid XHTML
Summary: cataloging value plugin forms should be valid XHTML
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: PATCH-Sent (DO NOT USE) normal (vote)
Assignee: Owen Leonard
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-05-08 07:51 UTC by Galen Charlton
Modified: 2012-10-25 23:03 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Corrections (554.32 KB, patch)
2009-07-22 17:50 UTC, Chris Cormack
Details | Diff | Splinter Review
Corrections (8.29 KB, patch)
2009-07-22 17:50 UTC, Chris Cormack
Details | Diff | Splinter Review
Further fixes (640.76 KB, patch)
2010-07-26 16:37 UTC, Owen Leonard
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Cormack 2010-05-21 01:07:45 UTC


---- Reported by gmcharlt@gmail.com 2009-05-08 19:51:05 ----

As a special subset of the general requirement that Koha's staff and public interfaces produce valid XHTML, most of the cataloging value plugins (e.g., for the MARC21 Leader and fixed fields) do not produce valid XHTML.

The header for most cataloging plugin templates should be something like this:

<!-- TMPL_INCLUDE NAME="doc-head-open.inc" -->
<title>Koha &rsaquo; Cataloging &rsaquo; Leader builder</title>
<!-- TMPL_INCLUDE NAME="doc-head-close.inc" -->
</head>
<body>
<form name="f_pop" onsubmit="javascript:report()" action="#">
<input type="hidden" name="plugin_name" value="marc21_leader.pl" />\

and the footer

<!-- TMPL_INCLUDE NAME="popup-bottom.inc" -->

Note that as a result of including doc-head-close.inc, it will be possible to use the standard CSS to style the forms.



---- Additional Comments From gmcharlt@gmail.com 2009-05-08 20:11:40 ----

Submitted patch for MARC21 bib leader plugin.



---- Additional Comments From gmcharlt@gmail.com 2009-05-11 13:00:05 ----

Pushed patch for MARC21 leader plugin.



---- Additional Comments From oleonard@myacpl.org 2009-07-22 17:50:02 ----

Created an attachment
Corrections





---- Additional Comments From oleonard@myacpl.org 2009-07-22 17:50:27 ----

Created an attachment
Corrections





---- Additional Comments From gmcharlt@gmail.com 2009-07-31 02:30:10 ----

Patches pushed HEAD.  Although Total Validator still reports a handful of errors on most of the plugin pages, this is much improved - thanks!



--- Bug imported by chris@bigballofwax.co.nz 2010-05-21 01:07 UTC  ---

This bug was previously known as _bug_ 3211 at http://bugs.koha.org/cgi-bin/bugzilla3/show_bug.cgi?id=3211
Imported an attachment (id=1164)
Imported an attachment (id=1165)

Actual time not defined. Setting to 0.0
The original submitter of attachment 1164 [details] [review] is unknown.
   Reassigning to the person who moved it here: chris@bigballofwax.co.nz.
The original submitter of attachment 1165 [details] [review] is unknown.
   Reassigning to the person who moved it here: chris@bigballofwax.co.nz.

Comment 1 Owen Leonard 2010-07-26 16:37:17 UTC
Created attachment 2426 [details] [review]
Further fixes

- Adding page heading
- Adding "Cancel" link to close popup
- Correctly marking up <label> <input> pairs
- Correctly escaping JavaScript blocks
- General markup corrections
Comment 2 Galen Charlton 2010-10-25 14:01:08 UTC
Pushed followup patch for inclusion in 3.4.
Comment 3 MJ Ray (software.coop) 2010-11-11 13:42:56 UTC
This bug is mentioned in:
bug 3211: fix some errors that crept into	the cleanup http://lists.koha-community.org/pipermail/koha-patches/2010-October/012710.html
The following changes since commit	391ce2b4693a98753b16980d42c3a5682660ba6f: Galen Charlton (1):	bug 3211: fix some errors that crept into the cleanup http://lists.koha-community.org/pipermail/koha-patches/2010-October/012719.html
Comment 4 Chris Nighswonger 2010-11-18 03:15:28 UTC
This bug has a patch presently committed to HEAD and 3.2.x.

Please take the appropriate action to update the status of this bug.

Remember, bugs which have been resolved should be tested and marked closed, preferably by the original reporter.
Comment 5 Chris Nighswonger 2010-11-30 13:49:35 UTC
This bug has a fix which was committed to the 3.2.x branch and released in 3.2.1.

Please take time to update the status of this bug and mark it RESOLVED FIXED so that it may be closed.